%global git_ver d3310de
Name:           kf5-konsole
Version:        4.96.0~%{git_ver}
Release:        1
Summary:        KDE Terminal
License:        GPL-2.0+
Group:          System/X11/Terminals
Url:            http://www.kde.org/
Source0:        konsole-%{git_ver}.tar.bz2
Patch0:         konsoleprivate.patch
BuildRequires:  fdupes
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kbookmarks-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kf5-kguiaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kinit-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  kf5-knotifyconfig-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-kpty-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-ktextwidgets-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtscript-devel
Conflicts:      konsole
Provides:       konsole-kf5
Requires:       %{name}-part = %{version}

%description
Konsole is a terminal emulator for the K Desktop Environment.

%package part
Summary:        KDE Terminal
Group:          System/GUI/KDE

%description part
Konsole is a terminal emulator for the K Desktop Environment.
This package provides KPart of the Konsole application.

%prep
%setup -q -n konsole
#%patch0 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}

/usr/bin/fdupes -s %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post part -p /sbin/ldconfig

%postun part -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_kf5_datadir}/doc/HTML/en/konsole/
%doc COPYING README
%dir %{_kf5_datadir}/konsole/
%{_kf5_libdir}/libkdeinit5_konsole.so
%{_kf5_bindir}/konsole
%{_kf5_bindir}/konsoleprofile
%{_kf5_datadir}/applications/org.kde.konsole.desktop
%{_kf5_datadir}/kconf_update/*
%{_kf5_datadir}/knotifications5/konsole.notifyrc
%{_kf5_datadir}/konsole/*
%{_kf5_datadir}/kservices5/ServiceMenus/*.desktop


%files part
%defattr(-,root,root)
%doc COPYING README
%dir %{_kf5_datadir}/kxmlgui5/konsole/
%{_kf5_libdir}/libkonsoleprivate.so.*
%{_kf5_datadir}/kservices5/konsolepart.desktop
%{_kf5_datadir}/kservicetypes5/terminalemulator.desktop
%{_kf5_qtplugindir}/konsolepart.so
%{_kf5_datadir}/kxmlgui5/konsole/*.rc

%changelog
* Thu Oct 16 2014 Rajeesh K V <rajeesh@inflo.ws> 4.96.0~d3310de-1
- Update

* Sun Sep 7 2014 Rajeesh K V <rajeesh@inflo.ws> 4.95.0~0027a60-1
- KDE Frameworks 5 port master branch

* Wed Aug 27 2014 Rajeesh K V <rajeesh@inflo.ws> 4.95.0~5fd1276-1
- KDE Frameworks 5 port
